DbEnv::version()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::version()

    #include <db_cxx.h>

    static char *
    DbEnv::version(int *major, int *minor, int *patch);

The `DbEnv::version()` method returns a pointer to a string, suitable for display, containing Berkeley DB version information.

### Parameters

#### major

If major is non-NULL, the major version of the Berkeley DB release is copied to the memory to which it refers.

#### minor

If minor is non-NULL, the minor version of the Berkeley DB release is copied to the memory to which it refers.

#### patch

If patch is non-NULL, the patch version of the Berkeley DB release is copied to the memory to which it refers.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::strerror() | Home | Chapter 6. The DbException Class